/*
 * can_task.hpp
 *
 *  Created on: 10 Dec 2023
 *      Author: Carl
 */

#ifndef INC_TASKS_CANTASK_HPP_
#define INC_TASKS_CANTASK_HPP_

#include <sta/tacos/thread.hpp>
#include <sta/devices/stm32/can.hpp>

namespace tasks
{
	class CanTask : public sta::tacos::TacosThread {
	public:
		CanTask(uint32_t canID);

		void init() override;

		void func() override;

	private:
		void unpackValues(uint8_t packedByte, uint8_t* type_id, uint8_t* sensor_ID, uint8_t* value, uint8_t* include);
	};
} // namespace demo

#endif /* INC_TASKS_CANTASK_HPP_ */
